<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code creates a new DocmanFolder and saves it to the 
// database
//
require_once('plugins/docman/lib/DocmanFolder.php');
require_once('plugins/docman/lib/DocmanFolderPeer.php');
require_once('exceptions/PermissionDeniedException.php');
require_once('core/Language.php');

$Lang = Language::getSessLang();

if (isset($_POST['sure'])) {
	$DocmanFolder = DocmanFolderPeer::retrieveByPk($_POST['id']);
	if (is_object($DocmanFolder) && $DocmanFolder->userCanDelete()) {
		$DocmanFolder->delete();
		GFUrl::redirect($url->currentBaseURL('DocmanFolderBrowse'), array('feedback' => $Lang->getText('DocmanFolder.DeleteFeedback')));
	} else {
		throw new PermissionDeniedError();
	}
} else {
	GFUrl::redirect($url->currentBaseURL('DocmanFolderBrowse'), array('feedback' => $Lang->getText('DocmanFolderDeleteForm.DidntConfirm')));
}

?>