<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Tim Perdue tim@gforge.org
 * @date 2006-02-27
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
echo '<p><div class="infobox">'.$Lang->getText('Common.templateUpdating').'</div></p>'
?>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('TrackerExtraFieldEditAction') ?>" method="post">
	<input type="hidden" name="tracker_id" value="<?php echo $_REQUEST['tracker_id']; ?>" />
	<input type="hidden" name="tracker_extra_field_id" value="<?php echo $_REQUEST['tracker_extra_field_id']; ?>" />
	<table border="0">
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerExtraField.FieldNameName'); ?></strong><span class="required">*</span><br />
			<input type="text" name="field_name" value="<?php echo $field_name; ?>" /></td>
		</tr>
		<?php if ($field_type == TrackerExtraField::TYPE_TEXTAREA || $field_type == TrackerExtraField::TYPE_TEXT || $field_type == TrackerExtraField::TYPE_NUMERIC) { ?>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerExtraField.Attribute1Name'); ?></strong>
			<?php if ($field_type == TrackerExtraField::TYPE_TEXTAREA || $field_type == TrackerExtraField::TYPE_TEXT) { ?>
				<span class="required">*</span>
			<?php } ?>
			<br />
			<input type="text" name="attribute1" value="<?php echo $attribute1; ?>"  size="2" maxlength="3"/></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerExtraField.Attribute2Name'); ?></strong>
			<?php if ($field_type == TrackerExtraField::TYPE_TEXTAREA || $field_type == TrackerExtraField::TYPE_TEXT) { ?>
				<span class="required">*</span>
			<?php } ?>
			<br />
			<input type="text" name="attribute2" value="<?php echo $attribute2; ?>"  size="2" maxlength="3"/></td>
		</tr>
		<?php } ?>
		<?php if ($field_type == TrackerExtraField::TYPE_NUMERIC || $field_type == TrackerExtraField::TYPE_TEXT) { ?>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerExtraField.DefaultValueName'); ?></strong><br />
			<input type="text" name="default_value" value="<?php echo $default_value; ?>"  /></td>
		</tr>
		<?php } ?>
		<?php if($field_type != TrackerExtraField::TYPE_SERIAL) { ?>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerExtraField.IsRequiredName'); ?></strong><br />
			<input type="checkbox" name="is_required" value="1"<?php echo (($is_required==1) ? ' checked' : ''); ?> disabled="disabled"/></td>
		</tr>
		<?php } ?>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerExtraField.FieldOrderName'); ?></strong><br />
			<input type="text" name="field_order" value="<?php echo $field_order; ?>"  size="2" maxlength="3"/></td>
		</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerExtraField.UseInQuickBrowseName'); ?></strong><br />
			<input type="checkbox" name="use_in_quick_browse" value="1"<?php echo (($use_in_quick_browse==1) ? ' checked' : ''); ?> disabled="disabled" /></td>
		</tr>
		<?php if($field_type != TrackerExtraField::TYPE_SERIAL) { ?>
		<tr>
			<td><strong><?php echo $Lang->getText('TrackerExtraField.ShowOnSubmitName'); ?></strong><br />
			<input type="checkbox" name="show_on_submit" value="1"<?php echo (($show_on_submit==1) ? ' checked' : ''); ?> disabled="disabled" /></td>
		</tr>
		<?php } ?>
		<tr>
			<td align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Cancel') . " ","cancel","","javascript:history.go(-1);")?>
			</td>
		</tr>
	</table>
</form>
<?php
$theme->footer($params);
?>
