﻿<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: User.php 326 2006-01-09 19:49:12Z danper $
 * @author Daniel A. P�ez	daniel@gforgegroup.com
 * @date 2005-11-11
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

require_once('html/SiteTemplate.php');
require_once('Validator.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

$template = new SiteTemplate();
$params = array(
		'selectedtoptab' => 'my',
		'title' => Language::getSessText('User.ResendConfirmation'),
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
	);
$template->header($params);

$user = isset($_REQUEST['user']) ? $_REQUEST['user'] : '';
?>

<form action="<?php echo GFUrl::getUrl()->currentBaseURL('ResendConfirmationAction') ?>" method="POST" />
	<table border="0" cellspacing="7">
	<tr>
		<td colspan="2"><?php echo Language::getSessText('User.ResendConfirmationSentence'); ?></td>
	</tr>
	<tr>
		<td>User name</td>
		<td><input type="text" name="username" value="<?php echo $user; ?>" /></td>
	</tr>
	<tr>
		<td>Password</td>
		<td><input type="password" name="password" value="" /></td>
	</tr>
	<tr>
		<td><?php echo HTMLWidget::button("submit","" .   $Lang->getText('Common.Submit') . " ","submit","","")?>
    		<?php echo HTMLWidget::button("button", $Lang->getText('Common.Cancel'), "", "", "javascript:history.go(-1);"); ?></td>
		<td></td>
	</tr>
	</table>
	<a href="<?php echo GFUrl::getUrl()->baseUrl('LostPassword','','account'); ?>"><?php echo Language::getSessText('User.LostYourPasswordLink'); ?></a>
</form>


<?php
$template->footer();
?>
