ALTER TABLE user_project ADD COLUMN user_project_id INTEGER;

CREATE SEQUENCE user_project_user_project_id_seq;

ALTER TABLE user_project ALTER COLUMN user_project_id SET DEFAULT NEXTVAL('user_project_user_project_id_seq');

CREATE UNIQUE INDEX userproject_userprojectid ON user_project(user_project_id);

UPDATE user_project SET user_project_id=NEXTVAL('user_project_user_project_id_seq');

CREATE TABLE user_project_role AS SELECT user_project_id,role_id 
	FROM user_project;

ALTER TABLE user_project DROP COLUMN role_id CASCADE;

ALTER TABLE user_project_role 
	ADD CONSTRAINT userprojectid_fk FOREIGN KEY (user_project_id) 
	REFERENCES user_project(user_project_id) ON DELETE CASCADE;
ALTER TABLE user_project_role 
	ADD CONSTRAINT roleid_fk FOREIGN KEY (role_id)
	REFERENCES role(role_id) ON DELETE CASCADE;
	
DELETE FROM role_setting WHERE section IN ('pm','pmadmin');
ALTER TABLE role_setting RENAME COLUMN value TO value0;
ALTER TABLE role_setting ADD COLUMN value INT;
UPDATE role_setting SET value=(value0::text::int);
ALTER TABLE role_setting DROP COLUMN value0;
CREATE UNIQUE INDEX userprojectrole_userprojectidroleid ON user_project_role(user_project_id,role_id);
CREATE UNIQUE INDEX userprojectrole_roleiduserprojectid ON user_project_role(role_id,user_project_id);

ALTER TABLE scm_preference ADD COLUMN mail_commits BOOLEAN;
ALTER TABLE scm_preference ALTER COLUMN mail_commits SET DEFAULT FALSE;
UPDATE scm_preference SET mail_commits=true;

ALTER TABLE tracker_query RENAME COLUMN is_selected TO is_shared;
UPDATE tracker_query SET is_shared=false;

