CREATE RULE tracker_item_tag_delete_rule AS
	ON DELETE TO tracker_item DO DELETE FROM tag_entry
	WHERE tag_entry.section = 'trackeritem'::text
	AND tag_entry.ref_id = old.tracker_item_id;

CREATE RULE docman_file_tag_delete_rule AS
	ON DELETE TO docman_file DO DELETE FROM tag_entry
	WHERE tag_entry.section = 'docmanfile'::text
	AND tag_entry.ref_id = old.docman_file_id;

CREATE RULE forum_message_tag_delete_rule AS
	ON DELETE TO forum_message DO DELETE FROM tag_entry
	WHERE tag_entry.section = 'forummessage'::text
	AND tag_entry.ref_id = old.forum_message_id;

CREATE RULE wiki_page_tag_delete_rule AS
	ON DELETE TO wiki_page DO DELETE FROM tag_entry
	WHERE tag_entry.section = 'wikipage'::text
	AND tag_entry.ref_id=old.wiki_page_id;

CREATE RULE frs_release_tag_delete_rule AS
	ON DELETE TO frs_release DO DELETE FROM tag_entry
	WHERE tag_entry.section = 'frsrelease'::text
	AND tag_entry.ref_id=old.frs_release_id;
